#
# spec file for package alex
#

# Copyright (c) 2012 Peter Trommler peter.trommler@ohm-hochschule.de
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           alex
Version:        3.0.2
Release:        0
Summary:        Tool for generating lexical analysers in Haskell

Group:          Development/Languages/Other
License:        BSD-3-Clause
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
ExclusiveArch:  %{ix86} x86_64 %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  autoconf
# END cabal2spec


%description
Tool for generating lexical analysers in Haskell similar to lex


%prep
%setup -q


%build
%ghc_bin_build
cd doc
test -f configure || autoreconf
./configure


%install
%ghc_bin_install
mkdir -p %{buildroot}/%{_mandir}/man1
cp doc/alex.1 %{buildroot}/%{_mandir}/man1

%files
%defattr(-,root,root,-)
%doc LICENSE ANNOUNCE README TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}-%{version}
%{_mandir}/man1/*


%changelog
